Subject: bug#716 closed by Jason Rumney <[email-masked]> (Re: bug#716: Bug in buffer-swap-text)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 24 Dec 2008 11:30:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#716: 23.0.60; opening tgz file causes emacs crash

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
716: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=716
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#716: Bug in buffer-swap-text
From: Jason Rumney <[email-masked]>
To: [email-masked]
Date: Wed, 24 Dec 2008 19:20:30 +0800

Stefan Monnier wrote:
> Thanks.  After your email, I thought we could just change
> r_alloc_reset_variable to take 2 arguments: the old ptr and the
> new ptr.  This way, you get more consistency checking.
>   

I've checked in a change that does this.

>From [email-masked] Thu Aug 14 02:07:57 2008
Date: Thu, 14 Aug 2008 09:07:37 +0100
From: robert marshall <[email-masked]>
To: [email-masked]
Subject: 23.0.60; opening tgz file causes emacs crash

If I open a tgz (tar and gzipped file) in emacs it immediately crashes 
(giving the windows emacs abort dialog)

The file I used to test this was
http://download.savannah.gnu.org/releases/viewmail/vm-8.0.11-581.tgz
but the problem seemed to occur for other tgz files

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/tmp/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-08-01 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags 
-Ic:/g/include -fno-crossjumping'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENG
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  recentf-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t